Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.graph
Class GraphSDB

    java.lang.Object
      com.hp.hpl.jena.sparql.graph.GraphBase2
          com.hp.hpl.jena.sdb.graph.GraphSDB

All Implemented Interfaces:
  com.hp.hpl.jena.graph.Graph, com.hp.hpl.jena.graph.GraphAdd, com.hp.hpl.jena.graph.impl.GraphWithPerform

    public class GraphSDB

extends com.hp.hpl.jena.sparql.graph.GraphBase2
implements com.hp.hpl.jena.graph.Graph

Field Summary

Fields inherited from interface com.hp.hpl.jena.graph.Graph
`emptyGraph`

Constructor Summary
`GraphSDB(Store store)`
`GraphSDB(Store store, com.hp.hpl.jena.graph.Node graphNode)`
`GraphSDB(Store store, String uri)`

Method Summary
`com.hp.hpl.jena.shared.PrefixMapping` | `createPrefixMapping()`
`void` | `deleteAll()`
`void` | `finishBulkUpdate()`
`StoreLoader` | `getBulkLoader()`
`com.hp.hpl.jena.graph.BulkUpdateHandler` | `getBulkUpdateHandler()`
`com.hp.hpl.jena.graph.Capabilities` | `getCapabilities()`
`SDBConnection` | `getConnection()`
`com.hp.hpl.jena.graph.GraphEventManager` | `getEventManager()`
`Store` | `getStore()`
`com.hp.hpl.jena.graph.TransactionHandler` | `getTransactionHandler()`
`int` | `graphBaseSize()`
`void` | `performAdd(com.hp.hpl.jena.graph.Triple triple)`
`void` | `performDelete(com.hp.hpl.jena.graph.Triple triple)`
`com.hp.hpl.jena.graph.query.QueryHandler` | `queryHandler()`
`void` | `startBulkUpdate()`

Methods inherited from class com.hp.hpl.jena.sparql.graph.GraphBase2
`add, close, contains, contains, delete, dependsOn, find, find, forTestingOnly_graphBaseFind, getPrefixMapping, getReifier, getStatisticsHandler, isClosed, isEmpty, isIsomorphicWith, notifyAdd, notifyDelete, size, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.graph.Graph
`close, contains, contains, delete, dependsOn, find, find, getPrefixMapping, getReifier, getStatisticsHandler, isClosed, isEmpty, isIsomorphicWith, size`

Methods inherited from interface com.hp.hpl.jena.graph.GraphAdd
`add`

Constructor Detail

### GraphSDB

    public GraphSDB(Store store,
                    String uri)

### GraphSDB

    public GraphSDB(Store store)

### GraphSDB

    public GraphSDB(Store store,
                    com.hp.hpl.jena.graph.Node graphNode)

Method Detail

### getCapabilities

    public com.hp.hpl.jena.graph.Capabilities getCapabilities()

  Specified by:
    `getCapabilities` in interface `com.hp.hpl.jena.graph.Graph`
  Overrides:
    `getCapabilities` in class `com.hp.hpl.jena.sparql.graph.GraphBase2`

### getStore

    public Store getStore()

### getConnection

    public SDBConnection getConnection()

### createPrefixMapping

    public com.hp.hpl.jena.shared.PrefixMapping createPrefixMapping()

  Specified by:
    `createPrefixMapping` in class `com.hp.hpl.jena.sparql.graph.GraphBase2`

### getBulkLoader

    public StoreLoader getBulkLoader()

### getBulkUpdateHandler

    public com.hp.hpl.jena.graph.BulkUpdateHandler getBulkUpdateHandler()

  Specified by:
    `getBulkUpdateHandler` in interface `com.hp.hpl.jena.graph.Graph`
  Overrides:
    `getBulkUpdateHandler` in class `com.hp.hpl.jena.sparql.graph.GraphBase2`

### queryHandler

    public com.hp.hpl.jena.graph.query.QueryHandler queryHandler()

  Specified by:
    `queryHandler` in interface `com.hp.hpl.jena.graph.Graph`
  Specified by:
    `queryHandler` in class `com.hp.hpl.jena.sparql.graph.GraphBase2`

### getEventManager

    public com.hp.hpl.jena.graph.GraphEventManager getEventManager()

  Specified by:
    `getEventManager` in interface `com.hp.hpl.jena.graph.Graph`
  Overrides:
    `getEventManager` in class `com.hp.hpl.jena.sparql.graph.GraphBase2`

### performAdd

    public void performAdd(com.hp.hpl.jena.graph.Triple triple)

  Specified by:
    `performAdd` in interface `com.hp.hpl.jena.graph.impl.GraphWithPerform`
  Overrides:
    `performAdd` in class `com.hp.hpl.jena.sparql.graph.GraphBase2`

### performDelete

    public void performDelete(com.hp.hpl.jena.graph.Triple triple)

  Specified by:
    `performDelete` in interface `com.hp.hpl.jena.graph.impl.GraphWithPerform`
  Overrides:
    `performDelete` in class `com.hp.hpl.jena.sparql.graph.GraphBase2`

### startBulkUpdate

    public void startBulkUpdate()

### finishBulkUpdate

    public void finishBulkUpdate()

### getTransactionHandler

    public com.hp.hpl.jena.graph.TransactionHandler getTransactionHandler()

  Specified by:
    `getTransactionHandler` in interface `com.hp.hpl.jena.graph.Graph`
  Overrides:
    `getTransactionHandler` in class `com.hp.hpl.jena.sparql.graph.GraphBase2`

### graphBaseSize

    public int graphBaseSize()

  Overrides:
    `graphBaseSize` in class `com.hp.hpl.jena.sparql.graph.GraphBase2`

### deleteAll

    public void deleteAll()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.